AMOUNT_OF_EMERGENCY_CONTACTS = 3

emergency_contact_fields = [f"emergencyContact_{i}" for i in range(AMOUNT_OF_EMERGENCY_CONTACTS)]

praesenzzirkel_fields = [
    "givenName",
    "familyName",
    "gender",
    "birthDate",
    "classYear",
    "courseSlot_praesenzzirkel",
    "telephone",
    "emailParents",
    "emailSelf",
    "telephoneSelf",
    "topicWishes",
    "statistics",
    "additionalNotes",
    "captcha",
    "participationPermission",
    "termsAndConditionsAgreement_praesenzzirkel",
    "privacyAgreement",
] + emergency_contact_fields

themenzirkel_fields = [
    "givenName",
    "familyName",
    "gender",
    "birthDate",
    "classYear",
    "courseSlot_themenzirkel",
    "telephone",
    "emailParents",
    "emailSelf",
    "telephoneSelf",
    "statistics",
    "additionalNotes",
    "captcha",
    "participationPermission",
    "termsAndConditionsAgreement_praesenzzirkel",
    "privacyAgreement",
] + emergency_contact_fields

korrespondenzzirkel_fields = [
    "givenName",
    "familyName",
    "gender",
    "birthDate",
    "classYear",
    "telephone",
    "emailParents",
    "emailSelf",
    "topicWishes",
    "statistics",
    "additionalNotes",
    "captcha",
    "participationPermission",
    "termsAndConditionsAgreement_korrespondenzzirkel",
    "privacyAgreement",
]

astrotag_fields = [
    "givenName",
    "familyName",
    "gender",
    "birthDate",
    "street",
    "streetNumber",
    "postalCode",
    "city",
    "country",
    "classYear",
    "telephone",
    "emailParents",
    "emailSelf",
    "topicWishes",
    "nutrition",
    "foodRestriction",
    "statistics",
    "additionalNotes",
    "captcha",
    "participationPermission",
    "termsAndConditionsAgreement_astrotag",
    "privacyAgreement",
] + emergency_contact_fields

mai_mathetag_fields = [
    "givenName",
    "familyName",
    "gender",
    "birthDate",
    "street",
    "streetNumber",
    "postalCode",
    "city",
    "country",
    "classYear",
    "telephone",
    "emailParents",
    "emailSelf",
    "topicWishes",
    "nutrition",
    "foodRestriction",
    "statistics",
    "additionalNotes",
    "captcha",
    "participationPermission",
    "termsAndConditionsAgreement_mai-mathetag",
    "privacyAgreement",
] + emergency_contact_fields

wintercamp_fields = [
    "givenName",
    "familyName",
    "gender",
    "sex",
    "birthDate",
    "street",
    "streetNumber",
    "postalCode",
    "city",
    "country",
    "classYearSenior",
    "telephone",
    "emailParents",
    "emailSelf",
    "topicWishes",
    "departureNotes",
    "nutrition",
    "foodRestriction",
    "healthImpairment",
    "drugs",
    "removeTicks",
    "roomPartnerWishes",
    "zirkelPartnerWishes",
    "fractivityWishes",
    "leavingPremise",
    "carpoolDataSharing",
    "statistics",
    "additionalNotes",
    "captcha",
    "participationPermission",
    "termsAndConditionsAgreement_wintercamp",
    "privacyAgreement",
] + emergency_contact_fields

mathecamp_fields = [
    "givenName",
    "familyName",
    "gender",
    "sex",
    "birthDate",
    "street",
    "streetNumber",
    "postalCode",
    "city",
    "country",
    "classYear",
    "telephone",
    "emailParents",
    "emailSelf",
    "topicWishes",
    "arrival",
    "departure",
    "departureNotes",
    "nutrition",
    "foodRestriction",
    "healthImpairment",
    "drugs",
    "removeTicks",
    "roomPartnerWishes",
    "zirkelPartnerWishes",
    "fractivityWishes",
    "instruments",
    "pool",
    "leavingPremise",
    "carpoolDataSharing",
    "statistics",
    "additionalNotes",
    "captcha",
    "participationPermission",
    "termsAndConditionsAgreement_mathecamp",
    "privacyAgreement",
] + emergency_contact_fields

abschlussveranstaltung_fields = [
    "givenName",
    "familyName",
    "participates",
    "amountOfGuests",
    "certificate",
    "street_optional",
    "streetNumber_optional",
    "postalCode_optional",
    "city_optional",
    "captcha",
    "privacyAgreement",
]

mail_fields = [
    "givenName",
    "familyName",
    "classYear",
    "emailParents",
    "emailSelf",
    "courseSlot_praesenzzirkel",
    "courseSlot_themenzirkel",
    "additionalNotes",
    "participates",
    "amountOfGuests",
    "certificate",
]
